//
// $Id: SteppingAction.hh 170 2008-09-17 09:20:45Z maire $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef SteppingAction_h
#define SteppingAction_h 1

#include "G4UserSteppingAction.hh"

class DetectorConstruction;
class RunAction;
class EventAction;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class SteppingAction : public G4UserSteppingAction
{
  public:
    SteppingAction(DetectorConstruction*, RunAction*, EventAction*);
   ~SteppingAction();

    void UserSteppingAction(const G4Step*);
    
  private:
    DetectorConstruction* m_detector;
    RunAction*   m_runAction;    
    EventAction* m_eventAction;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif
