//
// $Id: GPSPrimaryGeneratorAction.hh 139 2008-07-03 15:11:44Z jacquem $
//
// GPSPrimaryGeneratorAction.hh
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef GPSPrimaryGeneratorAction_h
#define GPSPrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4GeneralParticleSource.hh"
#include "globals.hh"

class G4Event;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class GPSPrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
  public:
    GPSPrimaryGeneratorAction();    
   ~GPSPrimaryGeneratorAction();

  public:  
    void GeneratePrimaries(G4Event*);
    G4GeneralParticleSource* GetParticleGun () const {return m_particleGun;};
    
  private:
    G4GeneralParticleSource*             m_particleGun;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif


