#ifndef SensitiveDetector_h
#define SensitiveDetector_h 1

#include "G4VSensitiveDetector.hh"
class DetectorConstruction;
class RunAction;

class SensitiveDetector : public G4VSensitiveDetector
{
public:
  SensitiveDetector(G4String SDname);
  ~SensitiveDetector();

public:
  // --------- methods from base class G4VSensitiveDetector ----------
  // -- Mandatory base class method : it must to be overloaded:
   G4bool ProcessHits(G4Step *step, G4TouchableHistory *ROhist);
  //                                 -------------------------
  //                                 unused in these examples
  // -----------------------------------------------------------------

private:
  DetectorConstruction* m_detector;
  RunAction*            m_runAction;    
  
};

#endif
