{
  gROOT->Reset();
  
  // Draw histogram filled by Geant4 Tutorial simulation 
  //   
  TFile f = TFile("histograms.root");  
  TCanvas* c1 = new TCanvas("c1", "  ");
  
  TH1D* hist1 = (TH1D*)f.Get("1");
  c1->SetLogy(1);
  c1->cd();
  c1->Update(); 

  hist1->SetTitle("Total energy deposited in astronaut");
  hist1->GetXaxis()->SetTitle("edep (MeV)");
  hist1->GetYaxis()->SetTitle("nb events"); 
  hist1->Draw("HIST");
  
  TH1D* hist2 = (TH1D*)f.Get("2");
  c1->SetLogy(0);
  c1->cd();
  c1->Update(); 

  hist2->SetTitle("edep longitudinal profile");
  hist2->GetXaxis()->SetTitle("zlocal (mm)");
  hist2->GetYaxis()->SetTitle("Edep (MeV/mm)"); 
  hist2->Draw("HIST");  
}  
